VNFRQTS - Need to update job to pull artifact

The job needs to pull data from nexus to run with the latest
requirements json file and fail if there is a connection error.

Issue-ID: VNFRQTS-798

Signed-off-by: Hagop Bozawglanian <hagop.bozawglanian@att.com>
Change-Id: I1bf8803ce78fef8ecb9476c1544b8b78994f06b4
diff --git a/jjb/vnfrqts/pre-build-needs.sh b/jjb/vnfrqts/pre-build-needs.sh
index 77099b1..c27b550 100644
--- a/jjb/vnfrqts/pre-build-needs.sh
+++ b/jjb/vnfrqts/pre-build-needs.sh
@@ -5,4 +5,5 @@
 pip install --upgrade pip
 pip install -r etc/requirements.txt
 ls
+wget -O docs/data/needs.json "https://nexus.onap.org/content/sites/raw/org.onap.vnfrqts.requirements/master/needs.json" && echo "Copied newest needs." || exit 1
 tox -e needs
\ No newline at end of file